<template>
  <div class="profile">
    <header class="pheader">
      <ProfHeader />
    </header>
    <main class="gray-main" @click="closeBoxes">
      <div id="containerId" class="container-xxl">
        <div class="rowi">
          <div id="boxes" class="d-none d-md-block">
            <div class="channel">
              <MenuComp />
            </div>
            <div class="search-frends">
              <span>Frends</span>
              <input type="text" v-model.trim="searchFrend" />
              <img src="@/assets/profile/search.svg" />
            </div>
            <div class="frends">
              <FrendsComp :searchFrend.sync="searchFrend" />
            </div>
          </div>
          <div id="box-news">
            <div class="content">
              <CreatePostComp />
              <PostsComp />
            </div>
          </div>
          <div id="channels" class="d-none d-lg-block">
            <div class="content"></div>
          </div>
          <NotifyComp v-show="$store.state.profNotify" />
          <SettingsComp v-show="$store.state.profSettings" />
        </div>
      </div>
    </main>
  </div>
</template>
<script>
import MenuComp from "./ProfMenu/menuComp";
import FrendsComp from "./ProfFrends/frendsComp";
import CreatePostComp from "./ProfCreatePost/createPostComp";
import ProfHeader from "./ProfHeader/headerComp";
import PostsComp from "./ProfPosts/postsComp";
import NotifyComp from "./ProfNotify/notifyComp";
import SettingsComp from "./ProfSettings/settingsComp";

export default {
  components: {
    MenuComp,
    FrendsComp,
    CreatePostComp,
    ProfHeader,
    PostsComp,
    NotifyComp,
    SettingsComp,
  },
  data() {
    return {
      searchFrend: "",
    };
  },
  mounted() {
    document.addEventListener("scroll", () => {
      this.$store.state.profNotify = false;
      this.$store.state.profSettings = false;
    });
  },
  methods: {
    closeBoxes() {
      this.$store.state.profNotify = false;
      this.$store.state.profSettings = false;
    },
  },
};
</script>
<style lang="scss">
@import "userPage.scss";
</style>